<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: データフィールド</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li class="current"><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="files.html"><span>ファイル一覧</span></a></li>
      <li class="current"><a href="globals.html"><span>グローバル</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="globals.html"><span>全て</span></a></li>
      <li><a href="globals_func.html"><span>関数</span></a></li>
      <li class="current"><a href="globals_vars.html"><span>変数</span></a></li>
      <li><a href="globals_type.html"><span>型定義</span></a></li>
      <li><a href="globals_enum.html"><span>列挙型</span></a></li>
      <li><a href="globals_eval.html"><span>列挙型の値</span></a></li>
      <li><a href="globals_defs.html"><span>マクロ定義</span></a></li>
    </ul>
  </div>
  <div class="tabs">
    <ul>
      <li><a href="globals_vars.html#index_1"><span>1</span></a></li>
      <li><a href="globals_vars_0x61.html#index_a"><span>a</span></a></li>
      <li><a href="globals_vars_0x62.html#index_b"><span>b</span></a></li>
      <li><a href="globals_vars_0x63.html#index_c"><span>c</span></a></li>
      <li><a href="globals_vars_0x64.html#index_d"><span>d</span></a></li>
      <li><a href="globals_vars_0x65.html#index_e"><span>e</span></a></li>
      <li><a href="globals_vars_0x66.html#index_f"><span>f</span></a></li>
      <li><a href="globals_vars_0x67.html#index_g"><span>g</span></a></li>
      <li><a href="globals_vars_0x68.html#index_h"><span>h</span></a></li>
      <li class="current"><a href="globals_vars_0x69.html#index_i"><span>i</span></a></li>
      <li><a href="globals_vars_0x6c.html#index_l"><span>l</span></a></li>
      <li><a href="globals_vars_0x6d.html#index_m"><span>m</span></a></li>
      <li><a href="globals_vars_0x6e.html#index_n"><span>n</span></a></li>
      <li><a href="globals_vars_0x6f.html#index_o"><span>o</span></a></li>
      <li><a href="globals_vars_0x70.html#index_p"><span>p</span></a></li>
      <li><a href="globals_vars_0x72.html#index_r"><span>r</span></a></li>
      <li><a href="globals_vars_0x73.html#index_s"><span>s</span></a></li>
      <li><a href="globals_vars_0x74.html#index_t"><span>t</span></a></li>
      <li><a href="globals_vars_0x75.html#index_u"><span>u</span></a></li>
      <li><a href="globals_vars_0x76.html#index_v"><span>v</span></a></li>
      <li><a href="globals_vars_0x77.html#index_w"><span>w</span></a></li>
      <li><a href="globals_vars_0x78.html#index_x"><span>x</span></a></li>
    </ul>
  </div>
</div>
<div class="contents">
&nbsp;

<h3><a class="anchor" id="index_i">- i -</a></h3><ul>
<li>Minherited
: <a class="el" href="group__m17nInputMethod.html#gaf84d56e3015c4b26802debcbd9352806">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#gaf84d56e3015c4b26802debcbd9352806">input.c</a>
</li>
<li>Minput_candidates_done
: <a class="el" href="group__m17nInputMethod.html#ga6ff3deabad4489cef99fff428b2628e2">input.c</a>
, <a class="el" href="group__m17nInputMethod.html#ga6ff3deabad4489cef99fff428b2628e2">m17n.h</a>
</li>
<li>Minput_candidates_draw
: <a class="el" href="group__m17nInputMethod.html#ga6bf782d7824557ec10e3988f6fcf4834">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga6bf782d7824557ec10e3988f6fcf4834">input.c</a>
</li>
<li>Minput_candidates_start
: <a class="el" href="group__m17nInputMethod.html#ga6bb355b1b5521571056b96a854f3c6c8">input.c</a>
, <a class="el" href="group__m17nInputMethod.html#ga6bb355b1b5521571056b96a854f3c6c8">m17n.h</a>
</li>
<li>minput_default_driver
: <a class="el" href="group__m17nInputMethod.html#gadb0ff8e5e616a810ed27113b17ad363b">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#gadb0ff8e5e616a810ed27113b17ad363b">input.c</a>
</li>
<li>Minput_delete_surrounding_text
: <a class="el" href="group__m17nInputMethod.html#gab1bfef46ab8e9daa6f3cf53b912b7da8">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#gab1bfef46ab8e9daa6f3cf53b912b7da8">input.c</a>
</li>
<li>minput_driver
: <a class="el" href="group__m17nInputMethod.html#ga0e4d7a69ac0861d4b9b58990a0f03702">input.c</a>
, <a class="el" href="group__m17nInputMethod.html#gaf03ec92f0d20d9bff8b9031461270d41">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#gaf03ec92f0d20d9bff8b9031461270d41">input.c</a>
, <a class="el" href="group__m17nInputMethod.html#ga0e4d7a69ac0861d4b9b58990a0f03702">m17n.h</a>
</li>
<li>Minput_focus_in
: <a class="el" href="group__m17nInputMethod.html#ga0d721c64e73c1e362f3cc44716b6c6ab">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga0d721c64e73c1e362f3cc44716b6c6ab">input.c</a>
</li>
<li>Minput_focus_move
: <a class="el" href="group__m17nInputMethod.html#ga2b2dd61bcb633e89865ebeda1cd9f466">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga2b2dd61bcb633e89865ebeda1cd9f466">input.c</a>
</li>
<li>Minput_focus_out
: <a class="el" href="group__m17nInputMethod.html#ga3edb37986f3bcdd15d73884c0d9b239b">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga3edb37986f3bcdd15d73884c0d9b239b">input.c</a>
</li>
<li>Minput_get_surrounding_text
: <a class="el" href="group__m17nInputMethod.html#ga1ca3d6e04f44fada82ed3c81069be23c">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga1ca3d6e04f44fada82ed3c81069be23c">input.c</a>
</li>
<li>minput_gui_driver
: <a class="el" href="group__m17nInputMethodWin.html#ga382ffd93fbaaa7226dd36af4a3fd7100">m17n-gui.h</a>
, <a class="el" href="group__m17nInputMethodWin.html#ga382ffd93fbaaa7226dd36af4a3fd7100">input-gui.c</a>
</li>
<li>Minput_method
: <a class="el" href="group__m17nInputMethod.html#ga4f2d5dc3e6c637d18e2ecf24edfff456">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga4f2d5dc3e6c637d18e2ecf24edfff456">input.c</a>
</li>
<li>Minput_preedit_done
: <a class="el" href="group__m17nInputMethod.html#ga3f96ecb6d7f7f82bc1ba5e47f8da0b92">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga3f96ecb6d7f7f82bc1ba5e47f8da0b92">input.c</a>
</li>
<li>Minput_preedit_draw
: <a class="el" href="group__m17nInputMethod.html#gacb0619c67c071d453dd2920ffc26d0ed">input.c</a>
, <a class="el" href="group__m17nInputMethod.html#gacb0619c67c071d453dd2920ffc26d0ed">m17n.h</a>
</li>
<li>Minput_preedit_start
: <a class="el" href="group__m17nInputMethod.html#ga5516535b28981c4b02b33368f3d56d56">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga5516535b28981c4b02b33368f3d56d56">input.c</a>
</li>
<li>Minput_reset
: <a class="el" href="group__m17nInputMethod.html#ga5f07520efe1e533af2b2322fca2bc9a2">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga5f07520efe1e533af2b2322fca2bc9a2">input.c</a>
</li>
<li>Minput_set_spot
: <a class="el" href="group__m17nInputMethod.html#gaf19d77434bb1a12bdcb50f46448f1402">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#gaf19d77434bb1a12bdcb50f46448f1402">input.c</a>
</li>
<li>Minput_status_done
: <a class="el" href="group__m17nInputMethod.html#ga49febb92bb4320bc27f20043517f3169">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#ga49febb92bb4320bc27f20043517f3169">input.c</a>
</li>
<li>Minput_status_draw
: <a class="el" href="group__m17nInputMethod.html#gae75d45c1dbe0483768e9364af4d282f9">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#gae75d45c1dbe0483768e9364af4d282f9">input.c</a>
</li>
<li>Minput_status_start
: <a class="el" href="group__m17nInputMethod.html#gad3739f8097f1c52f10a8581828b7bb95">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#gad3739f8097f1c52f10a8581828b7bb95">input.c</a>
</li>
<li>Minput_toggle
: <a class="el" href="group__m17nInputMethod.html#gafa306a028998a972bf3a05c8609fe65e">m17n.h</a>
, <a class="el" href="group__m17nInputMethod.html#gafa306a028998a972bf3a05c8609fe65e">input.c</a>
</li>
<li>minput_xim_driver
: <a class="el" href="m17n-X_8h.html#aa416d384957c7e4f69349d62f74e1a19">m17n-X.h</a>
</li>
<li>Minteger
: <a class="el" href="group__m17nPlist.html#ga0ce08eb57aa339db4d4745e75e80fdd8">m17n-core.h</a>
, <a class="el" href="group__m17nPlist.html#ga0ce08eb57aa339db4d4745e75e80fdd8">plist.c</a>
</li>
<li>Minvocation
: <a class="el" href="group__m17nConv.html#gab9e923812755e682db8231828a9e94af">coding.c</a>
, <a class="el" href="group__m17nConv.html#gab9e923812755e682db8231828a9e94af">m17n.h</a>
</li>
<li>Miso639_1
: <a class="el" href="m17n_8h.html#a643a2aaff32921ac3e11cd6eed66f60d">m17n.h</a>
, <a class="el" href="language_8c.html#a643a2aaff32921ac3e11cd6eed66f60d">language.c</a>
</li>
<li>Miso639_2
: <a class="el" href="m17n_8h.html#a6006fc602faeca0240858b36777615a0">m17n.h</a>
, <a class="el" href="language_8c.html#a6006fc602faeca0240858b36777615a0">language.c</a>
</li>
<li>Miso_2022
: <a class="el" href="group__m17nConv.html#gaec5ed370f36fbbd0811d7837f5a677aa">m17n.h</a>
, <a class="el" href="group__m17nConv.html#gaec5ed370f36fbbd0811d7837f5a677aa">coding.c</a>
</li>
<li>Miso_6429
: <a class="el" href="group__m17nConv.html#gaf1bb00aba88f9d5b722bc39d9d2af904">m17n.h</a>
, <a class="el" href="group__m17nConv.html#gaf1bb00aba88f9d5b722bc39d9d2af904">coding.c</a>
</li>
</ul>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
